package com.kexun.constant;

/**
 * Description: 定义报文中各个信息中的分类
 *
 * @author lgs
 * @date 2023/07/13
 */
public class CommonTypeConsts {

    /**
     * 自然人
     */
    public static final String ID_INFO_TYPE_PER = "1";

    /**
     * 组织机构
     */
    public static final String ID_INFO_TYPE_ENT = "2";

    /**
     * 是否存在标志-是
     */
    public static final String COMMON_IS_EXIST_YES= "是";

    /**
     * 是否存在-否
     */
    public static final String COMMON_IS_EXIST_NO= "否";
    /**
     * 公共的标识-计算和
     */
    public static final String COMMON_SUM = "@sum";
    /**
     * 公共的标识-统计笔数
     */
    public static final String COMMON_COUNT = "@Count";

    /**
     * 公共的标识-计算金额之后
     */
    public static final String COMMON_SUM_AMT = "@SumAmt";

    /**
     * 公共的标识-判断是否存在
     */
    public static final String COMMON_IS_EXIST = "@isExist";
    /**
     * 公共的标识-3个月统计
     */
    public static final String COMMON_3MONTH = "@3M";

    /**
     * 公共的标识-6个月统计
     */
    public static final String COMMON_6MONTH = "@6M";

    /**
     * 公共的标识-9个月统计
     */
    public static final String COMMON_9MONTH = "@9M";

    /**
     * 公共的标识-12个月统计
     */
    public static final String COMMON_12MONTH = "@12M";

    /**
     * 公共的标识-24个月统计
     */
    public static final String COMMON_24MONTH = "@24M";

    /**
     * 公共的标识-1年
     */
    public static final String COMMON_1YEAR = "@1Y";

    /**
     * 公共的标识-3年
     */
    public static final String COMMON_3YEAR = "@3Y";

    /**
     * 账户列表json key标识
     */
    public static final String ACCT_LIST = "acctList";
    /**
     * 处理5年历史表现信息，区分子集
     */
    public static final String START_LIST = "LIST.";

    /**
     * 公共信息汇总 - 欠税信息
     */
    public static final String COMMINFO_TYPE_TAX = "欠税信息";
    /**
     * 公共信息汇总 - 民事判决信息
     */
    public static final String COMMINFO_TYPE_CIVIL = "民事判决信息";
    /**
     * 公共信息汇总 - 强制执行信息
     */
    public static final String COMMINFO_TYPE_ENFORCE = "强制执行信息";
    /**
     * 公共信息汇总 - 行政处罚信息
     */
    public static final String COMMINFO_TYPE_ADMINISTRATIVE = "行政处罚信息";

    /**
     * 非金融信用交易信息概要
     */
    public static final String NOFINAINFO_TYPE = "非金融信用交易信息";


    /**
     * 公开信息汇总-欠缴信息
     */
    public static final String PUBLICINFO_FEE = "欠缴信息";

    /**
     * 公开信息汇总-判决信息
     */
    public static final String PUBLICINFO_JUDGMENT = "判决信息";

    /**
     * 公开信息汇总-执行信息
     */
    public static final String PUBLICINFO_EXECUTE = "执行信息";

    /**
     * 公开信息汇总-惩戒类信息
     */
    public static final String PUBLICINFO_PUNISHMENT = "惩戒类信息";

    /**
     * 查询记录概要-上一次信息
     */
    public static final String QUERYRECORDS_LAST = "last";

    /**
     * 查询记录概要-最近
     */
    public static final String QUERYRECORDS_NEAR = "near";


    /**
     * 信贷交易明细信息-基本信息段
     */
    public static final String TRSINFO_BASE = "baseInfo";

    /**
     * 信贷交易明细信息-最新表现信息
     */
    public static final String TRSINFO_TRSNEW = "trsNewInfo";

    /**
     * 信贷交易明细信息-最近一次月度表现信息
     */
    public static final String TRSINFO_LASTMONTH = "lastMonthInfo";
    /**
     * 信贷交易明细信息-最近5年内历史表现信息
     */
    public static final String TRSINFO_LASTFIVEYEAR = "lastFiveYearInfo";

    /**
     * 信贷交易明细信息-特殊交易信息
     */
    public static final String TRSINFO_SPECTRS = "specTrsInf";

    /**
     * 信贷交易明细信息-特殊事件说明信息
     */
    public static final String TRSINFO_SPECEVT = "specEvtInf";

    /**
     * 信贷交易明细信息-大额专项分期信息段
     */
    public static final String TRSINFO_SPECTRSPRD = "specTrsPrdInf";

    /**
     * 信贷交易明细信息-相关还款责任人个人
     */
    public static final String TRSINFO_REL_REPAY_PER = "relRepayTrsInfoPer";

    /**
     * 信贷交易明细信息-相关还款责任人个人
     */
    public static final String TRSINFO_REL_REPAY_ENT = "relRepayTrsInfoEnt";

    /**
     * 信贷交易明细信息-授信协议列表
     */
    public static final String TRSINFO_CTRCT_LIST = "credittList";
    /**
     * 公共信息明细-欠税记录
     */
    public static final String PUB_OWING_TAXES_LIST = "pubOwingTaxesList";
    /**
     * 欠税记录-最近3个月欠税笔数
     */
    public static final String LAST_3MONTH_TAX_COUNT = "last3MonthTaxCount";

    /**
     * 欠税记录-最近6个月欠税笔数
     */
    public static final String LAST_6MONTH_TAX_COUNT = "last6MonthTaxCount";

    /**
     * 欠税记录-最近9个月欠税笔数
     */
    public static final String LAST_9MONTH_TAX_COUNT = "last9MonthTaxCount";

    /**
     * 欠税记录-最近12个月欠税笔数
     */
    public static final String LAST_12MONTH_TAX_COUNT = "last12MonthTaxCount";

    /**
     * 欠税记录-最近24个月欠税笔数
     */
    public static final String LAST_24MONTH_TAX_COUNT = "last24MonthTaxCount";
    /**
     * 民事判决记录List
     */
    public static final String PUB_CIVIL_LIST = "pubCivilList";
    /**
     * 强制执行记录List
     */
    public static final String PUB_ENFORCEMEN_LIST = "pubEnforcemenList";
    /**
     * 行政处罚记录List
     */
    public static final String PUB_PENALTYL_LIST = "pubPenaltylList";
    /**
     * 住房公积金参缴记录List
     */
    public static final String PUB_HOUSING_FUND_LIST = "pubHousingFundList";
    /**
     * 低保救助记录List
     */
    public static final String PUB_ALLOW_ANC_LIST = "pubAllowAncList";
    /**
     * 执业资格记录List
     */
    public static final String PUB_PRACTISING_CALCULATE = "pubPractisingCalculate";

    /**
     * 手机号码列表
     */
    public static final String PHONE_LIST = "phoneList";




}
