package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.sql.Blob;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报文信息
 * </p>
 *
 * @author lgs
 * @since 2023-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("report_info")
public class ReportInfo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 报告头信息表id
     */
    @TableField("head_inf_id")
    private Long headInfId;

    /**
     * 报告编码
     */
    @TableField("rpt_no")
    private String rptNo;

    /**
     * 业务申请ID
     */
    @TableField("business_id")
    private Long businessId;

    /**
     * 业务申请编号
     */
    @TableField("business_num")
    private String businessNum;

    /**
     * 客户编号
     */
    @TableField("customer_num")
    private String customerNum;

    /**
     * 客户姓名
     */
    @TableField("customer_name")
    private String customerName;

    /**
     * 证件号码
     */
    @TableField("certificate_num")
    private String certificateNum;

    /**
     * 合作方编号
     */
    @TableField("coop_business_num")
    private String coopBusinessNum;

    /**
     * 产品编号
     */
    @TableField("product_num")
    private String productNum;

    /**
     * 文件名
     */
    @TableField("file_name")
    private String fileName;

    /**
     * 扩展信息
     */
    @TableField("extend")
    private String extend;

    /**
     * 状态 1-待解析;2-已解析;3-查询失败
     */
    @TableField("status")
    private String status;

    /**
     * 报文体
     */
    @TableField("body")
    private String body;

    /**
     * 征信查询结果 0-查询成功;-1-查询失败
     */
    @TableField("result_code")
    private String resultCode;

    /**
     * 征信查询结果描述
     */
    @TableField("result_desc")
    private String resultDesc;

}
