package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * (准)贷记卡账户信息汇总
 * </p>
 *
 * @author lgs
 * @since 2023-06-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_smry_credit_card")
@ApiModel(value="SmryCreditCardEntity对象", description="(准)贷记卡账户信息汇总")
public class SmryCreditCardEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "账号类型 R2-贷记卡账户;R3-准贷记卡账户")
    @TableField("acc_type")
    private String accType;

    @ApiModelProperty(value = "发卡机构数")
    @TableField("card_issuer_num")
    private Integer cardIssuerNum;

    @ApiModelProperty(value = "账户数")
    @TableField("acc_sum")
    private Integer accSum;

    @ApiModelProperty(value = "授信总额")
    @TableField("credit_sum")
    private BigDecimal creditSum;

    @ApiModelProperty(value = "单家机构最高授信额")
    @TableField("single_org_max")
    private BigDecimal singleOrgMax;

    @ApiModelProperty(value = "单家机构最低授信额")
    @TableField("single_org_min")
    private BigDecimal singleOrgMin;

    @ApiModelProperty(value = "透支余额")
    @TableField("overdraft")
    private BigDecimal overdraft;

    @ApiModelProperty(value = "已用额度")
    @TableField("credit_used")
    private BigDecimal creditUsed;

    @ApiModelProperty(value = "最近6个月平均使用额度")
    @TableField("lately_6mon_used")
    private BigDecimal lately6monUsed;

    @ApiModelProperty(value = "最近6个月平均透支余额")
    @TableField("lately_6mon_draft")
    private BigDecimal lately6monDraft;


}
