package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 信贷交易信息提示-明细
 * </p>
 *
 * @author lgs
 * @since 2023-06-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_smry_trade_tips_detail")
@ApiModel(value="SmryTradeTipsDetailEntity对象", description="信贷交易信息提示-明细")
public class SmryTradeTipsDetailEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "信贷交易信息提示汇总ID")
    @TableField("smry_trade_tips_id")
    private Long smryTradeTipsId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "业务类型代码")
    @TableField("bus_type_code")
    private String busTypeCode;

    @ApiModelProperty(value = "业务类型描述")
    @TableField("bus_type_desc")
    private String busTypeDesc;

    @ApiModelProperty(value = "业务大类代码")
    @TableField("bus_big_code")
    private String busBigCode;

    @ApiModelProperty(value = "业务大类描述")
    @TableField("bus_big_type")
    private String busBigType;

    @ApiModelProperty(value = "账户数")
    @TableField("acc_num")
    private String accNum;

    @ApiModelProperty(value = "首笔业务发放月份")
    @TableField("first_bus_month")
    private String firstBusMonth;


}
