package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 信贷交易明细基本信息
 * </p>
 *
 * @author lgs
 * @since 2023-06-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_trs_base")
@ApiModel(value="TrsBaseEntity对象", description="信贷交易明细基本信息")
public class TrsBaseEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "账户编号")
    @TableField("acct_no")
    private String acctNo;

    @ApiModelProperty(value = "账号类型")
    @TableField("acct_type")
    private String acctType;

    @ApiModelProperty(value = "账户类型代码")
    @TableField("acct_type_code")
    private String acctTypeCode;

    @ApiModelProperty(value = "账户类型描述")
    @TableField("acct_type_desc")
    private String acctTypeDesc;

    @ApiModelProperty(value = "业务管理机构类型代码")
    @TableField("mag_org_type_code")
    private String magOrgTypeCode;

    @ApiModelProperty(value = "业务管理机构类型描述")
    @TableField("mag_org_type_desc")
    private String magOrgTypeDesc;

    @ApiModelProperty(value = "业务管理机构代码")
    @TableField("busi_org_code")
    private String busiOrgCode;

    @ApiModelProperty(value = "账户标识")
    @TableField("acct_code")
    private String acctCode;

    @ApiModelProperty(value = "授信协议编号")
    @TableField("contract_num")
    private String contractNum;

    @ApiModelProperty(value = "业务种类代码")
    @TableField("loan_type_code")
    private String loanTypeCode;

    @ApiModelProperty(value = "业务种类描述")
    @TableField("loan_type_desc")
    private String loanTypeDesc;

    @ApiModelProperty(value = "开立日期")
    @TableField("open_date")
    private String openDate;

    @ApiModelProperty(value = "币种代码")
    @TableField("currency_code")
    private String currencyCode;

    @ApiModelProperty(value = "币种描述")
    @TableField("currency_desc")
    private String currencyDesc;

    @ApiModelProperty(value = "借款金额")
    @TableField("loan_amt")
    private BigDecimal loanAmt;

    @ApiModelProperty(value = "账户授信额度")
    @TableField("acct_cred_line")
    private BigDecimal acctCredLine;

    @ApiModelProperty(value = "共享授信额度")
    @TableField("org_cred_line")
    private BigDecimal orgCredLine;

    @ApiModelProperty(value = "到期日期")
    @TableField("due_date")
    private String dueDate;

    @ApiModelProperty(value = "还款方式代码")
    @TableField("repay_code")
    private String repayCode;

    @ApiModelProperty(value = "还款方式描述")
    @TableField("repay_desc")
    private String repayDesc;

    @ApiModelProperty(value = "还款频率代码")
    @TableField("repay_freqcy_code")
    private String repayFreqcyCode;

    @ApiModelProperty(value = "还款频率描述")
    @TableField("repay_freqcy_desc")
    private String repayFreqcyDesc;

    @ApiModelProperty(value = "还款期数")
    @TableField("repay_prd")
    private String repayPrd;

    @ApiModelProperty(value = "担保方式代码")
    @TableField("guar_mode_code")
    private String guarModeCode;

    @ApiModelProperty(value = "担保方式描述")
    @TableField("guar_mode_desc")
    private String guarModeDesc;

    @ApiModelProperty(value = "贷款发放方式代码")
    @TableField("release_way_code")
    private String releaseWayCode;

    @ApiModelProperty(value = "贷款发放方式描述")
    @TableField("release_way_desc")
    private String releaseWayDesc;

    @ApiModelProperty(value = "共同借款标志代码")
    @TableField("comm_borrower_maker_code")
    private String commBorrowerMakerCode;

    @ApiModelProperty(value = "共同借款标志描述")
    @TableField("comm_borrower_maker_desc")
    private String commBorrowerMakerDesc;

    @ApiModelProperty(value = "债权转移时的还款状态代码")
    @TableField("rpy_account_status_code")
    private String rpyAccountStatusCode;

    @ApiModelProperty(value = "债权转移时的还款状态描述")
    @TableField("rpy_account_status_desc")
    private String rpyAccountStatusDesc;


}
