package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * Description: 报告头. 报告标识信息段
 *
 * @author lgs
 * @date 2023/05/29
 */
@Data
public class HeadInfo implements IXmlBase {

    /**
     * 报告编号
     */
    @JSONField(name = "RPTNO")
    private String rptNo;

    /**
     * 报告生成时间
     */
    @JSONField(name = "RPTTIME")
    private String rptTime;

    /**
     * 异议标注数目
     */
    @JSONField(name = "DISSNUM")
    private String dissNum;

    /**
     * 被查询者姓名
     */
    @JSONField(name = "NAME")
    private String name;

    /**
     * 被查询者证件类型代码
     */
    @JSONField(name = "CRETYPECODE")
    private String creTypeCode;

    /**
     * 被查询者证件类型描述
     */
    @JSONField(name = "CRETYPEDESC")
    private String creTypeDesc;

    /**
     * 被查询者证件号码
     */
    @JSONField(name = "CRENUMBER")
    private String creNumber;

    /**
     * 查询机构代码/名称
     */
    @JSONField(name = "QUERYORGCODE")
    private String queryOrgCode;

    /**
     * 查询原因代码
     */
    @JSONField(name = "QUERYREASONCODE")
    private String queryReasonCode;

    /**
     * 查询原因描述
     */
    @JSONField(name = "QUERYREASONDESC")
    private String queryReasonDesc;

}
