package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.kexun.entity.NctTrsBaseEntity;
import com.kexun.model.xml.IXmlBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.naming.Name;
import java.math.BigDecimal;

/**
 * Description:非信贷交易信息明细
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class NctTrsBase implements IXmlBase {

    /**
     * 业务编号
     */
    @JSONField(name = "ACCTNO")
    private String acctNo;

    /**
     * 后付费账户类型代码
     */
    @JSONField(name = "ACCTYPECODE")
    private String accTypeCode;

    /**
     * 后付费账户类型描述
     */
    @JSONField(name = "ACCTYPEDESC")
    private String accTypeDesc;

    /**
     * 机构名称
     */
    @JSONField(name = "ORGANIZATIONNAME")
    private String orgName;

    /**
     * 业务类型代码
     */
    @JSONField(name = "PAYBUSITYPECODE")
    private String busiTypeCode;

    /**
     * 业务类型描述
     */
    @JSONField(name = "PAYBUSITYPEDESC")
    private String busiTypeDesc;

    /**
     * 业务开通日期
     */
    @JSONField(name = "BUSIOPENDATE")
    private String busiOpenDate;

    /**
     * 当前缴费状态代码
     */
    @JSONField(name = "PAYMENTSTATUSCODE")
    private String payStatusCode;

    /**
     * 当前缴费状态描述
     */
    @JSONField(name = "PAYMENTSTATUSDESC")
    private String payStatusDesc;

    /**
     * 当前欠费金额
     */
    @JSONField(name = "OWEAMOUNT")
    private BigDecimal oweAmt;

    /**
     * 记账年月
     */
    @JSONField(name = "ACCOUNTYEARMONTH")
    private String accYearMonth;

    /**
     * 最近24个月缴费记录
     */
    @JSONField(name = "PAYMENTRECORD")
    private String payRecord;

}
