package com.kexun.service.xml;

import com.kexun.entity.BaseResidenceEntity;
import com.kexun.model.dto.CommonParam;
import com.kexun.model.xml.BaseResidence;
import com.kexun.model.xml.BaseResidenceInf;
import com.kexun.model.xml.IXmlBase;
import com.kexun.service.BaseResidenceService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Description:基本信息. 1.4 居住信息
 *
 * @author lgs
 * @date 2023/06/06
 */
@Service
public class BaseResidenceHandlerService implements IHandleXmlBaseService {

    @Autowired
    BaseResidenceService baseResidenceService;

    @Override
    public void handleXmlSgmt(CommonParam commonParam, IXmlBase reportXmlBase) {
        if (reportXmlBase instanceof BaseResidence) {
            BaseResidence baseResidenceInf = (BaseResidence) reportXmlBase;
            List<BaseResidenceInf> baseResidenceInfs = baseResidenceInf.getBaseResidenceInfs();
            List<BaseResidenceEntity> baseResidenceEntityList = new ArrayList<>();
            for (BaseResidenceInf residenceInf : baseResidenceInfs) {
                BaseResidenceEntity baseResidenceEntity = new BaseResidenceEntity();
                BeanUtils.copyProperties(residenceInf, baseResidenceEntity);
                baseResidenceEntity.setIdTypeCode(commonParam.getIdTypeCode());
                baseResidenceEntity.setIdTypeDesc(commonParam.getIdTypeDesc());
                baseResidenceEntity.setName(commonParam.getName());
                baseResidenceEntity.setIdNum(commonParam.getIdNum());
                baseResidenceEntity.setHeadInfId(commonParam.getHeadInfId());
                baseResidenceEntity.setRptNo(commonParam.getRptNo());
                baseResidenceEntityList.add(baseResidenceEntity);
            }
            baseResidenceService.saveBatch(baseResidenceEntityList);
        }
    }
}
