package com.kexun.service.xml;

import com.kexun.entity.BaseVocationEntity;
import com.kexun.model.dto.CommonParam;
import com.kexun.model.xml.BaseVocation;
import com.kexun.model.xml.BaseVocationInf;
import com.kexun.model.xml.IXmlBase;
import com.kexun.service.BaseVocationService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Description:基本信息. 1.4 居住信息service
 *
 * @author lgs
 * @date 2023/06/07
 */
@Service
public class BaseVocationHandlerService implements IHandleXmlBaseService{

    @Autowired
    BaseVocationService baseVocationService;

    @Override
    public void handleXmlSgmt(CommonParam commonParam, IXmlBase reportXmlBase) {
        if (reportXmlBase instanceof BaseVocation){
            BaseVocation baseVocation = (BaseVocation) reportXmlBase;
            List<BaseVocationInf> baseVocationInfList = baseVocation.getBaseVocationInfList();
            List<BaseVocationEntity> baseVocationEntities = new ArrayList<>();
            for (BaseVocationInf baseVocationInf : baseVocationInfList) {
                BaseVocationEntity baseVocationEntity = new BaseVocationEntity();
                BeanUtils.copyProperties(baseVocationInf,baseVocationEntity);
                baseVocationEntity.setIdTypeCode(commonParam.getIdTypeCode());
                baseVocationEntity.setIdTypeDesc(commonParam.getIdTypeDesc());
                baseVocationEntity.setName(commonParam.getName());
                baseVocationEntity.setIdNum(commonParam.getIdNum());
                baseVocationEntity.setHeadInfId(commonParam.getHeadInfId());
                baseVocationEntity.setRptNo(commonParam.getRptNo());
                baseVocationEntities.add(baseVocationEntity);
            }
            baseVocationService.saveBatch(baseVocationEntities);
        }
    }
}
