package com.kexun.service.xml;

import com.kexun.entity.IBaseEntity;
import com.kexun.model.dto.CommonParam;
import com.kexun.model.xml.IXmlBase;

/**
 * Description: 征信解析xml特殊处理，主要处理不符合通用规则的信息段。
 *
 * @author lgs
 * @date 2023/06/01
 */
public interface IHandleXmlSpecService {

    /**
     * 对xml信息段进行特殊处理,主要是对json对应的JavaBean和Entity对应的bean不一致
     * @param commonParam 参数类
     * @param jsonBean json转化的JavaBean
     * @param baseEntity 实体类
     */
    void handleXmlSpec(CommonParam commonParam, Object jsonBean, IBaseEntity baseEntity);
}
